/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */  

#include <stdio.h>
#include <stdlib.h>
#include "reflector/ReflectServer.h"
#include "reflector/DumbReflectSession.h"
#include "reflector/StorageReflectSession.h"

#define DEFAULT_MUSCLED_PORT 2960

void main(int argc, char ** argv) 
{
   int port = (argc > 1) ? atoi(argv[1]) : 0;
   ReflectServer server;
   if (server.ServerProcessLoop(StorageSessionCreationFunc, (port > 0) ? port : DEFAULT_MUSCLED_PORT) == B_NO_ERROR) LogTime(LOG_INFO, "Server process exiting\n");
      else LogTime(LOG_CRITICALERROR, "Server process aborted\n");
   server.Cleanup();
}
