/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */

//! author="Jeremy Friesner"

/******************************************************************************
/
/	File:		PortableTypeDefs.h
/
/	Description:	Some of Be's type declarations, for use on non-Be systems.
/
*******************************************************************************/

#ifndef _PORTABLETYPEDEFS_H
#define _PORTABLETYPEDEFS_H

#ifdef __BEOS__
#include <support/SupportDefs.h>  // might as well use the real thing (and avoid complaints about duplication)
#else
// for other operating systems, here are the typedefs (from SupportDefs.h)
#include <unistd.h>

typedef signed char             int8;
typedef unsigned char           uint8;

typedef short                   int16;
typedef unsigned short          uint16;

typedef long                    int32;
typedef unsigned long           uint32;

typedef long long               int64;
typedef unsigned long long      uint64;

typedef unsigned char           uchar;
typedef unsigned short          unichar;                   

typedef uint32                  type_code;

typedef int32                   status_t;

#define true                    1
#define false                   0

#endif

#endif /* _PORTABLETYPEDEFS_H */

